[arch-commits] Commit in rasqal/repos/extra-x86_64 (PKGBUILD PKGBUILD)

David Runge dvzrv at archlinux.org
Fri Nov 13 20:19:21 UTC 2020


    Date: Friday, November 13, 2020 @ 20:19:20
  Author: dvzrv
Revision: 400766

archrelease: copy trunk to extra-x86_64

Added:
  rasqal/repos/extra-x86_64/PKGBUILD
    (from rev 400765, rasqal/trunk/PKGBUILD)
Deleted:
  rasqal/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   83 +++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 48 insertions(+), 35 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-11-13 20:19:13 UTC (rev 400765)
+++ PKGBUILD	2020-11-13 20:19:20 UTC (rev 400766)
@@ -1,35 +0,0 @@
-# Maintainer: Tom Gundersen <teg at jklm.no>
-# Contributor: AndyRTR <andyrtr at archlinux.org>
-# Contributor: Lawrence Lee <valheru at facticius.net>
-
-pkgname=rasqal
-epoch=1
-pkgver=0.9.33
-pkgrel=3
-pkgdesc="A free C library that handles Resource Description Framework (RDF) query syntaxes, query construction and query execution returning result bindings"
-url="http://librdf.org/rasqal"
-license=('GPL' 'LGPL')
-arch=('x86_64')
-depends=('raptor' 'mpfr' 'util-linux')
-source=(http://download.librdf.org/source/${pkgname}-${pkgver}.tar.gz{,.asc})
-sha256sums=('6924c9ac6570bd241a9669f83b467c728a322470bf34f4b2da4f69492ccfd97c'
-            'SKIP')
-validpgpkeys=('F879F0DEDA780198DD08DC6443EC92504F71955A') # Dave Beckett <dave at dajobe.org>
-
-build() {
-  cd ${pkgname}-${pkgver}
-  ./configure --prefix=/usr \
-    --disable-static \
-    --enable-release
-  make
-}
-
-check() {
-  cd ${pkgname}-${pkgver}
-  make -k check || true # still fails some checks
-}
-
-package() {
-  cd ${pkgname}-${pkgver}
-  make DESTDIR="${pkgdir}" install
-}

Copied: rasqal/repos/extra-x86_64/PKGBUILD (from rev 400765, rasqal/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-11-13 20:19:20 UTC (rev 400766)
@@ -0,0 +1,48 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+# Contributor: Tom Gundersen <teg at jklm.no>
+# Contributor: AndyRTR <andyrtr at archlinux.org>
+# Contributor: Lawrence Lee <valheru at facticius.net>
+
+pkgname=rasqal
+epoch=1
+pkgver=0.9.33
+pkgrel=4
+pkgdesc="A library handling RDF query syntaxes, construction and execution"
+url="http://librdf.org/rasqal"
+license=('LGPL2.1')
+arch=('x86_64')
+depends=('glibc' 'libgcrypt' 'libgpg-error' 'mpfr' 'pcre')
+makedepends=('raptor' 'util-linux')
+provides=('librasqual.so')
+source=(http://download.librdf.org/source/${pkgname}-${pkgver}.tar.gz{,.asc})
+sha512sums=('05728682797470db9e51d156012e8fde9dec1554d107372faa11cbe6cdc3356e92386f4f8de6d7c41e3100b76f9b1c6809102a913829cddbd2ff29043c04d522'
+            'SKIP')
+b2sums=('87bca86b2f0dceb0801f5a34dae9ae1f87d8a7d0dc1e03fdf04998a0d4885ed76be2719d3e01489a5510a26715bb093a75ce194cc42f3cedff88f64161d6a2fb'
+        'SKIP')
+validpgpkeys=('F879F0DEDA780198DD08DC6443EC92504F71955A') # Dave Beckett <dave at dajobe.org>
+
+prepare() {
+  cd "${pkgname}-${pkgver}"
+  autoreconf -vfi
+}
+
+build() {
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr \
+              --disable-static \
+              --enable-release
+  make
+}
+
+check() {
+  cd "${pkgname}-${pkgver}"
+  make -k check || true # still fails some checks
+}
+
+package() {
+  depends+=('libraptor2.so' 'libuuid.so')
+  cd "${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  install -vDm 644 {ChangeLog*,README,NEWS} \
+    -t "${pkgdir}/usr/share/doc/${pkgname}/"
+}


More information about the arch-commits mailing list